<?xml version="1.0" encoding="UTF-8"?>
<game>

  <!--
      The way this will work, is that various objects are defined in the
      <def> section. Each of those can be instantiated multiple times, unless
      defined to be single. There may be game objects or menu objects in there.
  -->

  <def>

    <menu>
      <name>credits</name>
      
      <elements>
	<image name="background_image"
	       x="0"
	       y="0"
      	       width="100"
               height="100"
               target="v "
               parent="NONE"
               text="credits.png">d
	</image>
        <button name="go_back"
                x="10"
                y="20"
                width="20"
                height="10"
                parent="background_image"
		target="self.engine.setMenu('main_menu')"
                text="Back to main menu...">
        </button>
        <label name="title"
               x="35"
               y="10"
               width="20"
               height="5"
               target=""
               parent="background_image"
               text="Credits...">
        </label>
        <label name="joe#1"
               x="35"
               y="15"
               width="20"
               height="5"
               target=""
               parent="background_image"
               text="Project Lead: Joe Lopatta">
        </label>
        <label name="modeling#1"
               x="35"
               y="20"
               width="25"
               height="7"
               target=""
               parent="background_image"
               text="Modeling Lead: Joe Lopatta">
        </label>
	<label name="modeling#2"
	       x="35"
               y="22"
               width="25"
               height="7"
               target=""
               parent="background_image"
	       text="Modeling: Calvin Strumsky">
	</label>
        <label name="imaging"
               x="35"
               y="27"
               width="25"
               height="5"
               target=""
               parent="background_image"
               text="Imaging Lead: Joe Lopatta Imaging: Calvin Strumsky">
        </label>

        <label name="programming"
               x="35"
               y="35"
               width="30"
               height="7"
               target=""
               parent="background_image"
               text="Programming Lead: Brian Caine Programming: Brian Caine">
        </label>
        <label name="prince"
               x="35"
               y="42"
               width="40"
               height="5"
               target=""
               parent="background_image"
               text="Prince of Programming, his majesty: Brian Caine">
        </label>
        <label name="origins"
               x="35"
               y="50"
               width="40"
               height="5"
               target=""
               parent="background_image"
               text="Original Universe Creators: Matt Dell / Joe Lopatta">
        </label>
        <label name="webhost"
               x="35"
               y="55"
               width="20"
               height="5"
               target=""
               parent="background_image"
               text="Web Host: Brandon Brizzi">
        </label>
        <label name="design"
	       x="35"
	       y="60"
	       width="40"
	       height="10"
	       target=""
	       parent="background_image"
	       text="Design Consultants: Brandon Brizzi, Michael Bender,">
        </label>
	<label name="designcont"
	       x="35"
	       y="63"
	       width="40"
	       height="10"
	       target=""
	       parent="background_image"
	       text="Brandon Herlock, Jarred Fritz">
	</label>
        <label name="gamer_tag"
               x="35"
               y="67"
               width="40"
               height="5"
               target=""
               parent="background_image"
               text="Gamer Tag - Joe Lopatta - XSOULSTEALERX">
        </label>
        <label name="pseudonym"
               x="35"
               y="72"
               width="40"
               height="5"
               target=""
               parent="background_image"
               text="Internet Pseudonym - Brian Caine - canine">
        </label>
        <label name="most_important"
               x="5"
               y="90"
               width="40"
               height="7"
               target=""
               parent="background_image"
               text="Thanks to the teacher whose classroom we used to make the game - Thank you Mrs. Wood">
        </label>

      </elements>
    </menu>

    <object>

      <name>person</name>
      <script></script>

      <tangible>1</tangible>
      <model>guy.3ds</model>

      <!--
      <textures>
        <type>0</type>
        <texture idx="1"></texture>
      </textures>

      The type tag is acquired from the Irrlicht documentation.
      In this case, 0 means EMT_SOLID
      -->

    </object>

    <menu>
      <name>main_menu</name>
      
      <elements>
        <image name="background_image"
               x="0"
	       y="0"
      	       width="100"
               height="100"
               target="v "
               parent="NONE"
               text="Titlescreen_texturized.png">

	</image>

        <button name="lan_match"
                x="5"
                y="10"
                width="25"
                height="10"
                target="self.engine.setMenu('lan_menu')"
                parent="background_image"
                text="LAN Match">
        </button>
<!--
        <button name="test"
                x="75"
                y="10"
                width="20"
                height="10"
                target="exec('the_engine.addFile(&quot;a_map.xml&quot;, &quot;run.xml&quot;)\nthe_engine.setMenu(&quot;game&quot;)')"
                text="Test"
                parent="">d
        </button>-->

        <button name="internet_match"
                x="5"
                y="25"
                width="25"
                height="10"
                target="print 'Internet Match: Not implemented yet.'"
                parent="background_image"
                text="Internet Match">
        </button>
        <button name="options"
                x="5"
                y="40"
                width="25"
                height="10"
                target="print 'Options: Not implemented yet.'"
                parent="background_image"
                text="Options">
        </button>
        <button name="credits"
                x="5"
                y="55"
                width="25"
                height="10"
                parent="background_image"
                target="self.engine.setMenu('credits')"
                text="Credits">
        </button>
        <button name="exit"
                x="5"
                y="70"
                width="25"
                height="10"
                parent="background_image"
                target="self.engine.killGame()"
                text="Exit">
        </button>
      </elements>

    </menu>

    <menu>

      <name>not_implemented</name>

      <elements>

	<window name="message_box"
		x="0"
		y="0"
		width="25"
		height="25"
		target=""
		parent="NONE"
		text="Oops!">d
	</window>

	<label name="information"
	       x="5"
	       y="4"
	       width="15"
	       height="15"
	       target=""
	       parent="message_box"
	       text="Whatever you clicked on isn't implemented yet. Sorry">d
	</label>

	<button name="return_button"
		x="5"
		y="17"
		width="15"
		height="5"
		target="::hideAll();::addMenu(::return_string);"
		parent="message_box"
		text="Ok then.">d
	</button>

	<button name="secret"
		x="1"
		y="1"
		width="1"
		height="1"
		target="::hideMenu(&quot;not_implemented&quot;);
			::addMenu(&quot;squirrel&quot;);"
		parent="message_box"
		text="">
	  d
	</button>

      </elements>

    </menu>

    <menu>

      <name>lan_menu</name>

      <elements>

	<image name="background_image"
	       x="0"
	       y="0"
      	       width="100"
               height="100"
               target="v "
               parent="NONE"
               text="server.png">d
	</image>

	<label name="title"
	       x="10"
	       y="5"
	       width="20"
	       height="5"
	       parent="background_image"
	       target=""
	       text="LAN Server List...">d
	</label>
	<button name="refresh_button"
		x="40"
		y="85"
		width="20"
		height="10"
		parent="background_image"
                target=""
		text="Refresh Server List">d
	</button>
	<button name="back_button"
		x="10"
		y="85"
		width="20"
		height="10"
		parent="background_image"
		target="self.engine.setMenu('main_menu')"
		text="Return to Main Menu">d
	</button>
	<button name="join_button"
		x="70"
		y="85"
		width="20"
		height="10"
		parent="background_image"
		target=""
		text="Join Server">d
	</button>
	<listbox name="server_list"
		x="10"
		y="10"
		width="28"
		height="70"
		parent="background_image"
		target=""
		text="">d
	</listbox>
	<label name="info_label"
		x="40"
		y="10"
		width="20"
		height="10"
		parent="background_image"
		target=""
		text="Server Information...">d
	</label>
	<listbox name="list_server"
		 x="40"
		 y="20"
		 width="50"
		 height="60"
		 parent="background_image"
		 target=""
		 text="Server Information...">d
	</listbox>
      </elements>
    </menu>

    <object>
      <name>net_script</name>
      <script>net_script.py</script>
      <tangible>0</tangible>
      <model></model>
    </object>

    <menu>
      <name>searching</name>

      <elements>
        <window name="searching_window"
                x="30"
                y="40"
                width="40"
                height="20"
                parent="NONE"
                target=""
                text="Searching...">d
        </window>
        <label name="info_label"
               x="5"
               y="5"
               width="30"
               height="10"
               parent="searching_window"
               target=""
               text="Searching for servers...">d
        </label>
      </elements>
    </menu>

    <menu>
      <name>net_menu</name>

      <elements>
	<label name="title"
               x="5"
               y="5"
               width="30"
               height="10"
               parent="background_image"
               target=""
               text="Lobby">d
	</label>
	<listbox name="player_list"
		 x="5"
		 y="20"
		 width="30"
		 height="60"
		 parent="background_image"
		 target=""
		 text="">d
	</listbox>
	<listbox name="chat_list"
		 x="40"
		 y="20"
		 width="50"
		 height="45"
		 parent="background_image"
		 target=""
		 text="">d
	</listbox>
        <editbox name="chat"
		 x="40"
		 y="70"
		 width="49"
		 height="5"
		 parent="background_image"
		 target=""
		 text="">
	</editbox>
	<button name="back_button"
		x="5"
		y="85"
		width="20"
		height="10"
		parent="background_image"
		target=""
		text="Leave Server">d
	</button>
	<button name="ready_button"
		x="35"
		y="85"
		width="20"
		height="10"
		parent="background_image"
		target=""
		text="Ready">d
	</button>
	<button name="start_button"
		x="65"
		y="85"
		width="20"
		height="10"
		parent="background_image"
		target=""
		text="Start">d
	</button>

	<image name="background_image"
	       x="0"
	       y="0"
      	       width="100"
               height="100"
               target="v "
               parent="NONE"
               text="server.png">d
	</image>
      </elements>

    </menu>

    <menu>

      <name>game</name>

      <elements>
        <button name="return_button"
                x="0"
                y="0"
                width="20"
                height="10"
                parent="background_image"
		target="exec('the_engine.app.remove(the_engine.main_container)\nthe_engine.removeFile(&quot;a_map.xml&quot;)')"
                text="Start">d
        </button>

      </elements>
    </menu>

  </def>

  <instance>
    <object position="0,0,0" name="net">net_script</object>
    <!--

        This is an example of a person instantiated, but we don't want that
        for the run.xml file-->

    <object name="person" position="1, 0,1" rotation="0,0,0">person</object>
    <menu>main_menu</menu>

  </instance>

</game>
